package conf

import "sync"

type Config struct {
	MongoURL    string
	Database    string
	LokiURL     string
	NatsURL     string
	ExecutionID string
	PeerID      string
	Timeout     int
	WorkflowID  string
	Logs        string
	Mode        string
	KubeHost    string
	KubePort    string
	KubeCA      string
	KubeCert    string
	KubeData    string
	ArgoHost	string 		// when executed in a container will replace addresses with "localhost" in their url
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}

func GetConfFromArgs(argument string) {

}
